Commit c0088190 authored by Guilhem Saurel's avatar Guilhem Saurel
Browse files

ipython is cool in prod…

parent 46196d8c
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
name = "appnope" name = "appnope"
version = "0.1.2" version = "0.1.2"
description = "Disable App Nap on macOS >= 10.9" description = "Disable App Nap on macOS >= 10.9"
category = "dev" category = "main"
optional = false optional = false
python-versions = "*" python-versions = "*"
...@@ -21,7 +21,7 @@ tests = ["pytest", "pytest-asyncio", "mypy (>=0.800)"] ...@@ -21,7 +21,7 @@ tests = ["pytest", "pytest-asyncio", "mypy (>=0.800)"]
name = "backcall" name = "backcall"
version = "0.2.0" version = "0.2.0"
description = "Specifications for callback functions passed in to an API" description = "Specifications for callback functions passed in to an API"
category = "dev" category = "main"
optional = false optional = false
python-versions = "*" python-versions = "*"
...@@ -71,7 +71,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*" ...@@ -71,7 +71,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*"
name = "colorama" name = "colorama"
version = "0.4.4" version = "0.4.4"
description = "Cross-platform colored terminal text." description = "Cross-platform colored terminal text."
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*" python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*"
...@@ -79,7 +79,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*" ...@@ -79,7 +79,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*"
name = "decorator" name = "decorator"
version = "5.0.7" version = "5.0.7"
description = "Decorators for Humans" description = "Decorators for Humans"
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=3.5" python-versions = ">=3.5"
...@@ -262,7 +262,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*" ...@@ -262,7 +262,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*"
name = "ipython" name = "ipython"
version = "7.22.0" version = "7.22.0"
description = "IPython: Productive Interactive Computing" description = "IPython: Productive Interactive Computing"
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=3.7" python-versions = ">=3.7"
...@@ -293,7 +293,7 @@ test = ["nose (>=0.10.1)", "requests", "testpath", "pygments", "nbformat", "ipyk ...@@ -293,7 +293,7 @@ test = ["nose (>=0.10.1)", "requests", "testpath", "pygments", "nbformat", "ipyk
name = "ipython-genutils" name = "ipython-genutils"
version = "0.2.0" version = "0.2.0"
description = "Vestigial utilities from IPython" description = "Vestigial utilities from IPython"
category = "dev" category = "main"
optional = false optional = false
python-versions = "*" python-versions = "*"
...@@ -301,7 +301,7 @@ python-versions = "*" ...@@ -301,7 +301,7 @@ python-versions = "*"
name = "jedi" name = "jedi"
version = "0.18.0" version = "0.18.0"
description = "An autocompletion tool for Python that can be used for text editors." description = "An autocompletion tool for Python that can be used for text editors."
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=3.6" python-versions = ">=3.6"
...@@ -329,7 +329,7 @@ django-bootstrap4 = "*" ...@@ -329,7 +329,7 @@ django-bootstrap4 = "*"
name = "parso" name = "parso"
version = "0.8.2" version = "0.8.2"
description = "A Python Parser" description = "A Python Parser"
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=3.6" python-versions = ">=3.6"
...@@ -341,7 +341,7 @@ testing = ["docopt", "pytest (<6.0.0)"] ...@@ -341,7 +341,7 @@ testing = ["docopt", "pytest (<6.0.0)"]
name = "pexpect" name = "pexpect"
version = "4.8.0" version = "4.8.0"
description = "Pexpect allows easy control of interactive console applications." description = "Pexpect allows easy control of interactive console applications."
category = "dev" category = "main"
optional = false optional = false
python-versions = "*" python-versions = "*"
...@@ -352,7 +352,7 @@ ptyprocess = ">=0.5" ...@@ -352,7 +352,7 @@ ptyprocess = ">=0.5"
name = "pickleshare" name = "pickleshare"
version = "0.7.5" version = "0.7.5"
description = "Tiny 'shelve'-like database with concurrency support" description = "Tiny 'shelve'-like database with concurrency support"
category = "dev" category = "main"
optional = false optional = false
python-versions = "*" python-versions = "*"
...@@ -360,7 +360,7 @@ python-versions = "*" ...@@ -360,7 +360,7 @@ python-versions = "*"
name = "prompt-toolkit" name = "prompt-toolkit"
version = "3.0.18" version = "3.0.18"
description = "Library for building powerful interactive command lines in Python" description = "Library for building powerful interactive command lines in Python"
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=3.6.1" python-versions = ">=3.6.1"
...@@ -371,7 +371,7 @@ wcwidth = "*" ...@@ -371,7 +371,7 @@ wcwidth = "*"
name = "ptyprocess" name = "ptyprocess"
version = "0.7.0" version = "0.7.0"
description = "Run a subprocess in a pseudo terminal" description = "Run a subprocess in a pseudo terminal"
category = "dev" category = "main"
optional = false optional = false
python-versions = "*" python-versions = "*"
...@@ -423,7 +423,7 @@ integrations = ["cryptography"] ...@@ -423,7 +423,7 @@ integrations = ["cryptography"]
name = "pygments" name = "pygments"
version = "2.8.1" version = "2.8.1"
description = "Pygments is a syntax highlighting package written in Python." description = "Pygments is a syntax highlighting package written in Python."
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=3.5" python-versions = ">=3.5"
...@@ -580,7 +580,7 @@ python-versions = ">=3.5" ...@@ -580,7 +580,7 @@ python-versions = ">=3.5"
name = "traitlets" name = "traitlets"
version = "5.0.5" version = "5.0.5"
description = "Traitlets Python configuration system" description = "Traitlets Python configuration system"
category = "dev" category = "main"
optional = false optional = false
python-versions = ">=3.7" python-versions = ">=3.7"
...@@ -615,7 +615,7 @@ brotli = ["brotlipy (>=0.6.0)"] ...@@ -615,7 +615,7 @@ brotli = ["brotlipy (>=0.6.0)"]
name = "wcwidth" name = "wcwidth"
version = "0.2.5" version = "0.2.5"
description = "Measures the displayed width of unicode strings in a terminal" description = "Measures the displayed width of unicode strings in a terminal"
category = "dev" category = "main"
optional = false optional = false
python-versions = "*" python-versions = "*"
...@@ -638,7 +638,7 @@ python-versions = "*" ...@@ -638,7 +638,7 @@ python-versions = "*"
[metadata] [metadata]
lock-version = "1.1" lock-version = "1.1"
python-versions = "^3.9" python-versions = "^3.9"
content-hash = "bab44201488b59724f1cae23e2412d612a048805f773baa0ce61c923160ec9db" content-hash = "eb3f20dde48c73e4e4a146c017cc853339cdde8ac4e3e0f380ea04bf3f6c0516"
[metadata.files] [metadata.files]
appnope = [ appnope = [
......
...@@ -16,10 +16,10 @@ djangorestframework = "^3.12.4" ...@@ -16,10 +16,10 @@ djangorestframework = "^3.12.4"
django-auth-ldap = "^2.4.0" django-auth-ldap = "^2.4.0"
python-gitlab = "^2.7.1" python-gitlab = "^2.7.1"
PyGithub = "^1.55" PyGithub = "^1.55"
ipython = "^7.22.0"
[tool.poetry.dev-dependencies] [tool.poetry.dev-dependencies]
yapf = "^0.31.0" yapf = "^0.31.0"
ipython = "^7.22.0"
[build-system] [build-system]
requires = ["poetry-core>=1.0.0"] requires = ["poetry-core>=1.0.0"]
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment